### Function

# Gimp Scanner new_stream

#### Declaration [src]

    GimpScanner*
    gimp_scanner_new_stream (
      GInputStream* input,
      GError** error
    )

#### Description

No description available.

Available since: | 2.10

#### Parameters

`input` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GimpScanner`
| The new `GimpScanner`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.